XMLChar.hpp File Reference

Go to the source code of this file.

## Classes

class | XMLChar1_0
class | XMLChar1_1

## Variables

const XERCES_CPP_NAMESPACE_BEGIN XMLByte | gNCNameCharMask = 0x1
const XMLByte | gFirstNameCharMask = 0x2
const XMLByte | gNameCharMask = 0x4
const XMLByte | gPlainContentCharMask = 0x8
const XMLByte | gSpecialStartTagCharMask = 0x10
const XMLByte | gControlCharMask = 0x20
const XMLByte | gXMLCharMask = 0x40
const XMLByte | gWhitespaceCharMask = 0x80

## Variable Documentation

## gControlCharMask

const XMLByte gControlCharMask = 0x20

Referenced by XMLChar1_0::isControlChar(), and XMLChar1_1::isControlChar().

## gFirstNameCharMask

const XMLByte gFirstNameCharMask = 0x2

Referenced by XMLChar1_0::isFirstNameChar(), XMLChar1_1::isFirstNameChar(), XMLChar1_0::isFirstNCNameChar(), XMLChar1_1::isFirstNCNameChar(), and XMLChar1_0::isXMLLetter().

## gNameCharMask

const XMLByte gNameCharMask = 0x4

Referenced by XMLChar1_0::isNameChar(), and XMLChar1_1::isNameChar().

## gNCNameCharMask

const XERCES_CPP_NAMESPACE_BEGIN XMLByte gNCNameCharMask = 0x1

Referenced by XMLChar1_0::isNCNameChar(), and XMLChar1_1::isNCNameChar().

## gPlainContentCharMask

const XMLByte gPlainContentCharMask = 0x8

Referenced by XMLChar1_0::isPlainContentChar(), and XMLChar1_1::isPlainContentChar().

## gSpecialStartTagCharMask

const XMLByte gSpecialStartTagCharMask = 0x10

Referenced by XMLChar1_0::isSpecialStartTagChar(), and XMLChar1_1::isSpecialStartTagChar().

## gWhitespaceCharMask

const XMLByte gWhitespaceCharMask = 0x80

Referenced by XMLChar1_0::isWhitespace(), and XMLChar1_1::isWhitespace().

## gXMLCharMask

const XMLByte gXMLCharMask = 0x40

Referenced by XMLChar1_0::isXMLChar(), and XMLChar1_1::isXMLChar().